javax.management.j2ee.statistics

## Interface Stats

- All Known Subinterfaces:
    EJBStats, EntityBeanStats, JCAConnectionPoolStats, JCAConnectionStats, JCAStats, JDBCConnectionPoolStats, JDBCConnectionStats, JDBCStats, JMSConnectionStats, JMSConsumerStats, JMSEndpointStats, JMSProducerStats, JMSSessionStats, JMSStats, JTAStats, JVMStats, MessageDrivenBeanStats, ServletStats, SessionBeanStats, StatefulSessionBeanStats, StatelessSessionBeanStats, URLStats

      public interface Stats

  The Stats model and its submodels specify performance data attributes for each of the specific managed object types.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Statistic` | `getStatistic(String statisticName)` Get a Statistic by name.
    `String[]` | `getStatisticNames()` Returns an array of Strings which are the names of the attributes from the specific Stats submodel that this object supports.
    `Statistic[]` | `getStatistics()` Returns an array containing all of the Statistic objects supported by this Stats object.

- - ### Method Detail

    - #### getStatistic

          Statistic getStatistic(String statisticName)

      Get a Statistic by name.

    - #### getStatisticNames

          String[] getStatisticNames()

      Returns an array of Strings which are the names of the attributes from the specific Stats submodel that this object supports. Attributes named in the list must correspond to attributes that will return a Statistic object of the appropriate type which contains valid performance data. The return value of attributes in the Stats submodel that are not included in the statisticNames list must be null. For each name in the statisticNames list there must be one Statistic with the same name in the statistics list.

    - #### getStatistics

          Statistic[] getStatistics()

      Returns an array containing all of the Statistic objects supported by this Stats object.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.